#pragma once

#include "named_log.h"

class TExtendedSearchContext;
class TExtendedReplyContext;

namespace NSearchProxy {

namespace NLogging {

class TInfoLog: public TNamedSearchLog {
public:
    TInfoLog(const TString& logType, ELogPriority priority = LOG_MAX_PRIORITY, size_t queueLen = 0)
        : TNamedSearchLog(logType, priority, queueLen)
    {
        SetName("saas-log-access");
    }

    static void Log(ui32 id, const TExtendedSearchContext& context);
    static void Log(ui32 id, const TExtendedReplyContext& context);
};

}
}
